public class Text implements HtmlElement {
    private StringBuffer b = new StringBuffer();

    public Text() {
    }
    public Text(String text) {
	b.append(text);
    }

    public Text append(String text) {
	b.append(text);
	return this;
    }
    public Text appendHeadline(int type, String text) {
	if (type < 1 || type > 4)
	    throw new IllegalArgumentException("type has to be between 1 and 4");
	b.append("<H"+type+">"+text+"</H"+type+">");
	return this;
    }
    public Text appendBold(String text) {
	b.append("<B>").append(text).append("</B>");
	return this;
    }
    public Text appendItalic(String text) {
	b.append("<I>").append(text).append("</I>");
	return this;
    }

    public String toString() {
	return b.toString();
    }
}
